Opened 3 years ago

Closed 3 years ago

#10881 closed enhancement (fixed)

qtwebengine-everywhere-src-5.11.1

Reported by: ken@… Owned by: ken@…
Priority: normal Milestone: 8.3
Component: BOOK Version: SVN
Severity: normal Keywords:
Cc:

Description

Having noticed this was expected tomorrow, I see it is there now (and should contain the latest vulnerability fixes).

Since qt itself lacks known vulnerabilities (at least until anybody sees a Release note) I'll probably try this on top of qt-5.11.0 on my fast box, to see if it builds.

Change History (5)

comment:1 by ken@…, 3 years ago

Owner: changed from blfs-book to ken@…
Status: newassigned

comment:2 by Bruce Dubbs, 3 years ago

Lets just drop QtWebEngine and Qupzilla and not bother with Falkon. We have five other graphical browsers now.

in reply to:  2 comment:3 by ken@…, 3 years ago

Replying to bdubbs:

Lets just drop QtWebEngine and Qupzilla and not bother with Falkon. We have five other graphical browsers now.

We should drop chromium unless somebody can fix it.

Both midori and epiphany use the same engine, webkitgtk (2.20.2 has its own vulnerabilities).

comment:4 by ken@…, 3 years ago

The security part of the changes:

  • Updated Chromium to 65.0.3325.230
  • Security fixes from Chromium up to version 67.0.3396.87, including:
    • CVE-2018-6120
    • CVE-2018-6123
    • CVE-2018-6124
    • CVE-2018-6126
    • CVE-2018-6127
    • CVE-2018-6129
    • CVE-2018-6130
    • CVE-2018-6132
    • CVE-2018-6133
    • CVE-2018-6134
    • CVE-2018-6135
    • CVE-2018-6137
    • CVE-2018-6142
    • CVE-2018-6143
    • CVE-2018-6144
    • CVE-2018-6145
    • CVE-2018-6148
    • CVE-2018-6149
    • Security Bug 826946
    • Security Bug 826193
    • Security Bug 825524
    • Security Bug 823864
    • Security Bug 835184
    • Security Bug 835371
    • Security Bug 836511
  • Fix build with GCC 8.1

comment:5 by ken@…, 3 years ago

Resolution: fixed
Status: assignedclosed
Note: See TracTickets for help on using tickets.